/***************************************************************
 * Name:      datumdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DATUMDIALOG_H
#define DATUMDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>

class DatumDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(DatumDialog)
    DECLARE_EVENT_TABLE()
public:
    DatumDialog() : m_mainSizer(nullptr), m_datum(nullptr) {}
    explicit DatumDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxDatePickerCtrl *m_datum;

    void createControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* DATUMDIALOG_H */

