/***************************************************************
 * Name:      inventuraprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef INVENTURAPRINT_H
#define INVENTURAPRINT_H

#include "print/documentprint.h"
#include "model/dbmodel.h"

class InventuraPrint: public DocumentPrint
{
public:
    InventuraPrint(wxWindow *parent, const Inventura &inventura);
private:
    Inventura m_inventura;
    void createDocument();
};

#endif  /* INVENTURAPRINT_H */

