/***************************************************************
 * Name:      dphkh1print.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHKH1PRINT_H
#define DPHKH1PRINT_H

#include "print/documentprint.h"
#include "veta.h"

class Dphkh1Print: public DocumentPrint
{
public:
    Dphkh1Print(wxWindow *parent, dxVetaArray vety);

    void Preview(bool print = true);
private:
    dxVetaArray m_vety;
    wxPrintOrientation m_paperOrientation;
    bool m_newXML;

    void createDocument();
    wxString atributValue(const wxString &name) const;
    bool hasVeta(const wxString & name) const;
    void fillNewXMLValue();
};

#endif  /* DPHKH1PRINT_H */

