/***************************************************************
 * Name:      dphkh1vetaa1dialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHKH1VETAA1DIALOG_H
#define DPHKH1VETAA1DIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "veta.h"

class Dphkh1Vetaa1Dialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(Dphkh1Vetaa1Dialog)
    DECLARE_EVENT_TABLE()
public:
    Dphkh1Vetaa1Dialog() : m_mainSizer(nullptr), m_cEvidDd(nullptr), m_kodPredPl(nullptr), m_dicOdb(nullptr), m_duzp(nullptr), m_zaklDane1(nullptr) {}
    Dphkh1Vetaa1Dialog(wxWindow *parent, Veta veta);

    Veta veta() const;
private:
    wxBoxSizer *m_mainSizer;
    Veta m_veta;
    wxTextCtrl *m_cEvidDd;
    wxChoice *m_kodPredPl;
    wxTextCtrl *m_dicOdb;
    wxDatePickerCtrl *m_duzp;
    wxSpinCtrlDouble *m_zaklDane1;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* DPHKH1VETAA1DIALOG_H */

