/***************************************************************
 * Name:      dphshprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHSHPRINT_H
#define DPHSHPRINT_H

#include "print/documentprint.h"
#include "veta.h"

class DphshPrint: public DocumentPrint
{
public:
    DphshPrint(wxWindow *parent, dxVetaArray vety);

    void Preview(bool print = true);
private:
    dxVetaArray m_vety;

    void createDocument();
    wxString atributValue(const wxString &name) const;
};

#endif  /* DPHSHPRINT_H */

