/***************************************************************
 * Name:      adresa.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "adresa.h"

Adresa::Adresa(int id, const wxString &ulice, const wxString &cp, const wxString &misto, const wxString &psc, const wxString &zeme)
    : m_id(id), m_ulice(ulice), m_cp(cp), m_misto(misto), m_psc(psc), m_zeme(zeme)
{
}

bool Adresa::isValid() const
{
    return m_id != -1;
}

int Adresa::id() const
{
    return m_id;
}

void Adresa::setId(int id)
{
    m_id = id;
}

wxString Adresa::ulice() const
{
    return m_ulice;
}

void Adresa::setUlice(const wxString &ulice)
{
    m_ulice = ulice;
}

wxString Adresa::cp() const
{
    return m_cp;
}

void Adresa::setCp(const wxString &cp)
{
    m_cp = cp;
}

wxString Adresa::misto() const
{
    return m_misto;
}

void Adresa::setMisto(const wxString &misto)
{
    m_misto = misto;
}

wxString Adresa::psc() const
{
    return m_psc;
}

void Adresa::setPsc(const wxString &psc)
{
    m_psc = psc;
}

wxString Adresa::zeme() const
{
    return m_zeme;
}

void Adresa::setZeme(const wxString &zeme)
{
    m_zeme = zeme;
}

