/***************************************************************
 * Name:      fadphsazba.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef FADPHSAZBA_H
#define FADPHSAZBA_H

class FaDphSazba {
public:
    FaDphSazba() : m_sazba(0), m_zaklad(0.0), m_dph(0.0) {}
    FaDphSazba(int sazba, double zaklad, double dph);

    int sazba() const;
    void setSazba(int sazba);
    double zaklad() const;
    void setZaklad(double zaklad);
    void appendZaklad(double zaklad);
    double dph() const;
    void setDph(double dph);
    void appendDph(double dph);
private:
    int m_sazba;
    double m_zaklad;
    double m_dph;
};

#endif  /* FADPHSAZBA_H */

