/***************************************************************
 * Name:      fauhrada.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "fauhrada.h"


FaUhrada::FaUhrada(int id, const wxString &uhrada, bool pokladnou)
    : m_id(id), m_uhrada(uhrada), m_pokladnou(pokladnou)
{
}

bool FaUhrada::isValid() const
{
    return m_id != -1;
}

int FaUhrada::id() const
{
    return m_id;
}

void FaUhrada::setId(int id)
{
    m_id = id;
}

wxString FaUhrada::uhrada() const
{
    return m_uhrada;
}

void FaUhrada::setUhrada(const wxString &uhrada)
{
    m_uhrada = uhrada;
}

bool FaUhrada::pokladnou() const
{
    return m_pokladnou;
}

void FaUhrada::setPokladnou(bool pokladnou)
{
    m_pokladnou = pokladnou;
}
