/***************************************************************
 * Name:      obdobi.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "obdobi.h"

Obdobi::Obdobi(int rok, bool current) : m_rok(rok), m_current(current)
{
}

bool Obdobi::isValid() const
{
    return m_rok != -1;
}

int Obdobi::rok() const
{
    return m_rok;
}

void Obdobi::setRok(int rok)
{
    m_rok = rok;
}

bool Obdobi::current() const
{
    return m_current;
}

void Obdobi::setCurrent(bool current)
{
    m_current = current;
}



