/***************************************************************
 * Name:      phm.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#include "phm.h"

Phm::Phm(int id, const wxString &jmeno)
    : m_id(id), m_jmeno(jmeno)
{
}

bool Phm::isValid() const
{
    return m_id != -1;
}

int Phm::id() const
{
    return m_id;
}

void Phm::setId(int id)
{
    m_id = id;
}

wxString Phm::jmeno() const
{
    return m_jmeno;
}

void Phm::setJmeno(const wxString &jmeno)
{
    m_jmeno = jmeno;
}
