/***************************************************************
 * Name:      predkontace.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "predkontace.h"

Predkontace::Predkontace(int id, const wxString &zkratka, const wxString &popis, bool prijem, int deniksloupecid)
    : m_id(id), m_zkratka(zkratka), m_popis(popis), m_prijem(prijem), m_deniksloupecid(deniksloupecid)
{
}

bool Predkontace::isValid() const
{
    return m_id != -1;
}

int Predkontace::id() const
{
    return m_id;
}

void Predkontace::setId(int id)
{
    m_id = id;
}

wxString Predkontace::zkratka() const
{
    return m_zkratka;
}

void Predkontace::setZkratka(const wxString &zkratka)
{
    m_zkratka = zkratka;
}

wxString Predkontace::popis() const
{
    return m_popis;
}

void Predkontace::setPopis(const wxString &popis)
{
    m_popis = popis;
}

bool Predkontace::prijem() const
{
    return m_prijem;
}

void Predkontace::setPrijem(bool prijem)
{
    m_prijem = prijem;
}

int Predkontace::deniksloupecid() const
{
    return m_deniksloupecid;
}

void Predkontace::setDeniksloupecid(int deniksloupecid)
{
    m_deniksloupecid = deniksloupecid;
}
