/***************************************************************
 * Name:      sklad.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#include "sklad.h"

Sklad::Sklad(int id, const wxString &nazev, const wxString &popis, int ocenovani)
    : m_id(id), m_nazev(nazev), m_popis(popis), m_ocenovani(ocenovani)
{
}

bool Sklad::isValid() const
{
    return m_id != -1;
}

int Sklad::id() const
{
    return m_id;
}

void Sklad::setId(int id)
{
    m_id = id;
}

wxString Sklad::popis() const
{
    return m_popis;
}

void Sklad::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString Sklad::nazev() const
{
    return m_nazev;
}

void Sklad::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

int Sklad::ocenovani() const
{
    return m_ocenovani;
}

void Sklad::setOcenovani(int ocenovani)
{
    m_ocenovani = ocenovani;
}
