/***************************************************************
 * Name:      uhrada.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "uhrada.h"

Uhrada::Uhrada(int id, double castka, int denikid, int fakturaid, int zavpohid, int obdobirok)
    : m_id(id), m_castka(castka), m_denikid(denikid), m_fakturaid(fakturaid), m_zavpohid(zavpohid), m_obdobirok(obdobirok)
{
}

bool Uhrada::isValid() const
{
    return m_id != -1;
}

int Uhrada::id() const
{
    return m_id;
}

void Uhrada::setId(int id)
{
    m_id = id;
}

double Uhrada::castka() const
{
    return m_castka;
}

void Uhrada::setCastka(double castka)
{
    m_castka = castka;
}

int Uhrada::fakturaid() const
{
    return m_fakturaid;
}

void Uhrada::setFakturaid(int fakturaid)
{
    m_fakturaid = fakturaid;
}

int Uhrada::zavpohid() const
{
    return m_zavpohid;
}

void Uhrada::setZavpohid(int zavpohid)
{
    m_zavpohid = zavpohid;
}

int Uhrada::obdobirok() const
{
    return m_obdobirok;
}

void Uhrada::setObdobirok(int obdobirok)
{
    m_obdobirok = obdobirok;
}
int Uhrada::denikid() const
{
    return m_denikid;
}

void Uhrada::setDenikid(int denikid)
{
    m_denikid = denikid;
}


