/***************************************************************
 * Name:      ulozene.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "ulozene.h"

Ulozene::Ulozene(int id, int typ, const wxString &popis, const wxString &forma, int obdobi, int mesic, int ctvrtleti,
                 int rok, const wxDateTime &from, const wxDateTime &to, const wxString &xml)
    : m_id(id), m_typ(typ), m_popis(popis), m_forma(forma), m_obdobi(obdobi), m_mesic(mesic), m_ctvrtleti(ctvrtleti),
      m_rok(rok), m_from(from), m_to(to), m_xml(xml)
{
}

bool Ulozene::isValid() const
{
    return m_id != -1;
}

int Ulozene::id() const
{
    return m_id;
}

void Ulozene::setId(int id)
{
    m_id = id;
}

int Ulozene::typ() const
{
    return m_typ;
}

void Ulozene::setTyp(int typ)
{
    m_typ = typ;
}

wxString Ulozene::popis() const
{
    return m_popis;
}

void Ulozene::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString Ulozene::forma() const
{
    return m_forma;
}

void Ulozene::setForma(const wxString &forma)
{
    m_forma = forma;
}

int Ulozene::obdobi() const
{
    return m_obdobi;
}

void Ulozene::setObdobi(int obdobi)
{
    m_obdobi = obdobi;
}

int Ulozene::mesic() const
{
    return m_mesic;
}

void Ulozene::setMesic(int mesic)
{
    m_mesic = mesic;
}

int Ulozene::ctvrtleti() const
{
    return m_ctvrtleti;
}

void Ulozene::setCtvrtleti(int ctvrtleti)
{
    m_ctvrtleti = ctvrtleti;
}

int Ulozene::rok() const
{
    return m_rok;
}

void Ulozene::setRok(int rok)
{
    m_rok = rok;
}

wxDateTime Ulozene::from() const
{
    return m_from;
}

void Ulozene::setFrom(const wxDateTime &from)
{
    m_from = from;
}

wxDateTime Ulozene::to() const
{
    return m_to;
}

void Ulozene::setTo(const wxDateTime &to)
{
    m_to = to;
}

wxString Ulozene::xml() const
{
    return m_xml;
}

void Ulozene::setXml(const wxString &xml)
{
    m_xml = xml;
}
