/***************************************************************
 * Name:      vozidlo.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#include "vozidlo.h"

Vozidlo::Vozidlo(int id, const wxString &jmeno, const wxString &rz, int druhvozidla, double spotreba, bool soukrome, int phm)
    : m_id(id), m_jmeno(jmeno), m_rz(rz), m_druhvozidla(druhvozidla), m_spotreba(spotreba), m_soukrome(soukrome), m_phm(phm)
{
}

bool Vozidlo::isValid() const
{
    return m_id != -1;
}

int Vozidlo::id() const
{
    return m_id;
}

void Vozidlo::setId(int id)
{
    m_id = id;
}

wxString Vozidlo::jmeno() const
{
    return m_jmeno;
}

void Vozidlo::setJmeno(const wxString &jmeno)
{
    m_jmeno = jmeno;
}

wxString Vozidlo::rz() const
{
    return m_rz;
}

void Vozidlo::setRz(const wxString &rz)
{
    m_rz = rz;
}

int Vozidlo::druhvozidla() const
{
    return m_druhvozidla;
}

void Vozidlo::setDruhvozidla(int druhvozidla)
{
    m_druhvozidla = druhvozidla;
}

double Vozidlo::spotreba() const
{
    return m_spotreba;
}

void Vozidlo::setSpotreba(double spotreba)
{
    m_spotreba = spotreba;
}

bool Vozidlo::soukrome() const
{
    return m_soukrome;
}

void Vozidlo::setSoukrome(bool soukrome)
{
    m_soukrome = soukrome;
}

int Vozidlo::phm() const
{
    return m_phm;
}

void Vozidlo::setPhm(int phm)
{
    m_phm = phm;
}
