/***************************************************************
 * Name:      homepage.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef HOMEPAGE_H
#define HOMEPAGE_H

#include "dxpage.h"
#include <wx/wxhtml.h>

class HomePage : public dxPage
{
    DECLARE_DYNAMIC_CLASS(HomePage)
public:
    HomePage() : dxPage(nullptr, NAV_HOME), m_mainSizer(nullptr), m_html(nullptr) {}
    explicit HomePage(wxWindow *parent);

    void updateData(int id) override;
private:
    wxBoxSizer *m_mainSizer;
    wxHtmlWindow *m_html;

    void fillInfo();
};

#endif  /* HOMEPAGE_H */

