/***************************************************************
 * Name:      jizdaprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef JIZDAPRINT_H
#define JIZDAPRINT_H

#include "print/documentprint.h"
#include "model/dbmodel.h"

class JizdaPrint: public DocumentPrint
{
public:
    JizdaPrint(wxWindow *parent, const Jizda &jizda);
private:
    Jizda m_jizda;
    void createDocument();
};

#endif  /* JIZDAPRINT_H */

