/***************************************************************
 * Name:      adresa.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef ADRESA_H
#define ADRESA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Adresa {
public:
    Adresa() : m_id(-1), m_ulice(""), m_cp(""), m_misto(""), m_psc(""), m_zeme("") {}
    Adresa(int id, const wxString &ulice, const wxString &cp, const wxString &misto, const wxString &psc, const wxString &zeme);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString ulice() const;
    void setUlice(const wxString &ulice);
    wxString cp() const;
    void setCp(const wxString &cp);
    wxString misto() const;
    void setMisto(const wxString &misto);
    wxString psc() const;
    void setPsc(const wxString &psc);
    wxString zeme() const;
    void setZeme(const wxString &zeme);
private:
    int m_id;
    wxString m_ulice;
    wxString m_cp;
    wxString m_misto;
    wxString m_psc;
    wxString m_zeme;
};

#endif  /* ADRESA_H */

