/***************************************************************
 * Name:      bankovniustav.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2020
 * License:   GPL3
 **************************************************************/

#include "bankovniustav.h"

BankovniUstav::BankovniUstav(int id, const wxString &nazev, const wxString &kodbanky, const wxString &bic, bool aktivni)
    : m_id(id), m_nazev(nazev), m_kodbanky(kodbanky), m_bic(bic), m_aktivni(aktivni)
{
}

bool BankovniUstav::isValid() const
{
    return m_id != -1;
}

int BankovniUstav::id() const
{
    return m_id;
}

void BankovniUstav::setId(int id)
{
    m_id = id;
}

wxString BankovniUstav::kodbanky() const
{
    return m_kodbanky;
}

void BankovniUstav::setKodbanky(const wxString &kodbanky)
{
    m_kodbanky = kodbanky;
}

wxString BankovniUstav::bic() const
{
    return m_bic;
}

void BankovniUstav::setBic(const wxString &bic)
{
    m_bic = bic;
}

wxString BankovniUstav::nazev() const
{
    return m_nazev;
}

void BankovniUstav::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

bool BankovniUstav::aktivni() const
{
    return m_aktivni;
}

void BankovniUstav::setAktivni(bool aktivni)
{
    m_aktivni = aktivni;
}
