/***************************************************************
 * Name:      deniksloupec.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "deniksloupec.h"

DenikSloupec::DenikSloupec(int sloupec, const wxString &popis, bool prijem, bool danovy)
    : m_sloupec(sloupec), m_popis(popis), m_prijem(prijem), m_danovy(danovy)
{
}

bool DenikSloupec::isValid() const
{
    return m_sloupec != -1;
}

int DenikSloupec::sloupec() const
{
    return m_sloupec;
}

void DenikSloupec::setSloupec(int sloupec)
{
    m_sloupec = sloupec;
}

wxString DenikSloupec::popis() const
{
    return m_popis;
}

void DenikSloupec::setPopis(const wxString &popis)
{
    m_popis = popis;
}

bool DenikSloupec::prijem() const
{
    return m_prijem;
}

void DenikSloupec::setPrijem(bool prijem)
{
    m_prijem = prijem;
}

bool DenikSloupec::danovy() const
{
    return m_danovy;
}

void DenikSloupec::setDanovy(bool danovy)
{
    m_danovy = danovy;
}

