/***************************************************************
 * Name:      ivpolozka.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#include "ivpolozka.h"

IvPolozka::IvPolozka(int id, double evidovano, double zjisteno, int zasobaid, int inventuraid)
    : m_id(id), m_evidovano(evidovano), m_zjisteno(zjisteno), m_zasobaid(zasobaid), m_inventuraid(inventuraid)
{
}

bool IvPolozka::isValid() const
{
    return m_id != -1;
}

int IvPolozka::id() const
{
    return m_id;
}

void IvPolozka::setId(int id)
{
    m_id = id;
}

double IvPolozka::evidovano() const
{
    return m_evidovano;
}

void IvPolozka::setEvidovano(double evidovano)
{
    m_evidovano = evidovano;
}

double IvPolozka::zjisteno() const
{
    return m_zjisteno;
}

void IvPolozka::setZjisteno(double zjisteno)
{
    m_zjisteno = zjisteno;
}

int IvPolozka::zasobaid() const
{
    return m_zasobaid;
}

void IvPolozka::setZasobaid(int zasobaid)
{
    m_zasobaid = zasobaid;
}

int IvPolozka::inventuraid() const
{
    return m_inventuraid;
}

void IvPolozka::setInventuraid(int inventuraid)
{
    m_inventuraid = inventuraid;
}
