/***************************************************************
 * Name:      mena.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "mena.h"


Mena::Mena(int id, const wxString &kod, const wxString &nazev)
    : m_id(id), m_kod(kod), m_nazev(nazev)
{
}

bool Mena::isValid() const
{
    return m_id != -1;
}

int Mena::id() const
{
    return m_id;
}

void Mena::setId(int id)
{
    m_id = id;
}

wxString Mena::kod() const
{
    return m_kod;
}

void Mena::setKod(const wxString &kod)
{
    m_kod = kod;
}

wxString Mena::nazev() const
{
    return m_nazev;
}

void Mena::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}
