/***************************************************************
 * Name:      odeslany.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef ODESLANY_H
#define ODESLANY_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Odeslany {
public:
    Odeslany() : m_id(-1) {}
    Odeslany(int id, const wxDateTime &cas, const wxString &faktura, const wxString &prijemce);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxDateTime cas() const;
    void setCas(const wxDateTime &cas);
    wxString faktura() const;
    void setFaktura(const wxString &faktura);
    wxString prijemce() const;
    void setPrijemce(const wxString &prijemce);
private:
    int m_id;
    wxDateTime m_cas;
    wxString m_faktura;
    wxString m_prijemce;
};

#endif  /* ODESLANY_H */

