/***************************************************************
 * Name:      odpis.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "odpis.h"

Odpis::Odpis(int id, int rok, double odpis, int majetekid)
    : m_id(id), m_rok(rok), m_odpis(odpis), m_majetekid(majetekid)
{
}

bool Odpis::isValid() const
{
    return m_id != -1;
}

int Odpis::id() const
{
    return m_id;
}

void Odpis::setId(int id)
{
    m_id = id;
}

int Odpis::rok() const
{
    return m_rok;
}

void Odpis::setRok(int rok)
{
    m_rok = rok;
}

double Odpis::odpis() const
{
    return m_odpis;
}

void Odpis::setOdpis(double odpis)
{
    m_odpis = odpis;
}

int Odpis::majetekid() const
{
    return m_majetekid;
}

void Odpis::setMajetekid(int majetekid)
{
    m_majetekid = majetekid;
}
