/***************************************************************
 * Name:      odpiskupina.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "odpiskupina.h"

Odpiskupina::Odpiskupina(int id, const wxString &popis, int odpisovat, double rov1, double rov2, double rovzvy,
                         double zry1, double zry2, double zryzvy)
    : m_id(id), m_popis(popis), m_odpisovat(odpisovat), m_rov1(rov1), m_rov2(rov2), m_rovzvy(rovzvy), m_zry1(zry1), m_zry2(zry2),
      m_zryzvy(zryzvy)
{
}

bool Odpiskupina::isValid() const
{
    return m_id != -1;
}

int Odpiskupina::id() const
{
    return m_id;
}

void Odpiskupina::setId(int id)
{
    m_id = id;
}

wxString Odpiskupina::popis() const
{
    return m_popis;
}

void Odpiskupina::setPopis(const wxString &popis)
{
    m_popis = popis;
}

int Odpiskupina::odpisovat() const
{
    return m_odpisovat;
}

void Odpiskupina::setOdpisovat(int odpisovat)
{
    m_odpisovat = odpisovat;
}

double Odpiskupina::rov1() const
{
    return m_rov1;
}

void Odpiskupina::setRov1(double rov1)
{
    m_rov1 = rov1;
}

double Odpiskupina::rov2() const
{
    return m_rov2;
}

void Odpiskupina::setRov2(double rov2)
{
    m_rov2 = rov2;
}

double Odpiskupina::rovzvy() const
{
    return m_rovzvy;
}

void Odpiskupina::setRovzvy(double rovzvy)
{
    m_rovzvy = rovzvy;
}
double Odpiskupina::zry1() const
{
    return m_zry1;
}

void Odpiskupina::setZry1(double zry1)
{
    m_zry1 = zry1;
}

double Odpiskupina::zry2() const
{
    return m_zry2;
}

void Odpiskupina::setZry2(double zry2)
{
    m_zry2 = zry2;
}

double Odpiskupina::zryzvy() const
{
    return m_zryzvy;
}

void Odpiskupina::setZryzvy(double zryzvy)
{
    m_zryzvy = zryzvy;
}
