/***************************************************************
 * Name:      predkontace.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef PREDKONTACE_H
#define PREDKONTACE_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Predkontace {
public:
    Predkontace() : m_id(-1), m_prijem(false), m_deniksloupecid(0) {}
    Predkontace(int id, const wxString &zkratka, const wxString &popis, bool prijem, int deniksloupecid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString zkratka() const;
    void setZkratka(const wxString &zkratka);
    wxString popis() const;
    void setPopis(const wxString &popis);
    bool prijem() const;
    void setPrijem(bool prijem);
    int deniksloupecid() const;
    void setDeniksloupecid(int deniksloupecid);
private:
    int m_id;
    wxString m_zkratka;
    wxString m_popis;
    bool m_prijem;
    int m_deniksloupecid;
};

#endif  /* PREDKONTACE_H */

