/***************************************************************
 * Name:      ridic.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef RIDIC_H
#define RIDIC_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Ridic {
public:
    Ridic() : m_id(-1) {}
    Ridic(int id, const wxString &jmeno);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString jmeno() const;
    void setJmeno(const wxString &jmeno);
private:
    int m_id;
    wxString m_jmeno;
};

#endif  /* RIDIC_H */

